tvbrowser.ui

## Class DontShowAgainOptionBox

- java.lang.Object
- - tvbrowser.ui.DontShowAgainOptionBox

-     public class DontShowAgainOptionBox
      extends java.lang.Object

  A helper class to show option dialogs with a JCheckBox to disable the showing of the dialog.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DontShowAgainOptionBox()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `showOptionDialog(java.lang.String messageBoxId, java.awt.Component parentComponent, java.lang.String message)` Creates an option dialog with JOptionPane.
    `static int` | `showOptionDialog(java.lang.String messageBoxId, java.awt.Component parentComponent, java.lang.String message, java.lang.String title)` Creates an option dialog with JOptionPane.
    `static int` | `showOptionDialog(java.lang.String messageBoxId, java.awt.Component parent, java.lang.String message, java.lang.String title, int messageType)` Creates an option dialog with JOptionPane.
    `static int` | `showOptionDialog(java.lang.String messageBoxId, java.awt.Component parent, java.lang.String message, java.lang.String title, int messageType, int optionType, java.lang.Object[] options, java.lang.Object initialValue, java.lang.String dontShowAgainLabel)` Creates an option dialog with JOptionPane.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DontShowAgainOptionBox

          public DontShowAgainOptionBox()

  - ### Method Detail

    - #### showOptionDialog

          public static int showOptionDialog(java.lang.String messageBoxId,
                             java.awt.Component parent,
                             java.lang.String message,
                             java.lang.String title,
                             int messageType,
                             int optionType,
                             java.lang.Object[] options,
                             java.lang.Object initialValue,
                             java.lang.String dontShowAgainLabel)

      Creates an option dialog with JOptionPane.

      Parameters:
        `messageBoxId` - The id for this message box.
        `parent` - The praent component of this dialog.
        `message` - The message to show the user.
        `title` - The title of the option dialog.
        `messageType` - The message type of the option dialog, value are {#javax.swing.JOptionPane.ERROR_MESSAGE}, {#javax.swing.JOptionPane.INFORMATION_MESSAGE}, {#javax.swing.JOptionPane.WARNING_MESSAGE}.
        `optionType` - The option type of the option dialog, values are `JOptionPane.YES_OPTION`, `JOptionPane.YES_NO_OPTION`, `JOptionPane.YES_NO_CANCEL_OPTION`, `JOptionPane.OK_OPTION`, `JOptionPane.OK_CANCEL_OPTION`, `JOptionPane.DEFAULT_OPTION`.
        `options` - The options to show on the option buttons.
        `initialValue` - The option initially selected.
        `dontShowAgainLabel` - The label for the check box or, `null` for the default label.
      Returns:
        The result of the option dialog, values are the possible values for optionType.

    - #### showOptionDialog

          public static int showOptionDialog(java.lang.String messageBoxId,
                             java.awt.Component parent,
                             java.lang.String message,
                             java.lang.String title,
                             int messageType)

      Creates an option dialog with JOptionPane.

      Parameters:
        `messageBoxId` - The id for this message box.
        `parent` - The praent component of this dialog.
        `message` - The message to show the user.
        `title` - The title of the option dialog.
        `messageType` - The message type of the option dialog, value are {#javax.swing.JOptionPane.ERROR_MESSAGE}, {#javax.swing.JOptionPane.INFORMATION_MESSAGE}, {#javax.swing.JOptionPane.WARNING_MESSAGE}.
      Returns:
        The result of the option dialog, values are the possible values for optionType.

    - #### showOptionDialog

          public static int showOptionDialog(java.lang.String messageBoxId,
                             java.awt.Component parentComponent,
                             java.lang.String message,
                             java.lang.String title)

      Creates an option dialog with JOptionPane.

      Parameters:
        `messageBoxId` - The id for this message box.
        `parentComponent` - The praent component of this dialog.
        `message` - The message to show the user.
        `title` - The title of the option dialog.
      Returns:
        The result of the option dialog, values are the possible values for optionType.

    - #### showOptionDialog

          public static int showOptionDialog(java.lang.String messageBoxId,
                             java.awt.Component parentComponent,
                             java.lang.String message)

      Creates an option dialog with JOptionPane.

      Parameters:
        `messageBoxId` - The id for this message box.
        `parentComponent` - The praent component of this dialog.
        `message` - The message to show the user.
      Returns:
        The result of the option dialog, values are the possible values for optionType.

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)